<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [induceServerMigration](./bitburner.darknet.induceservermigration.md)

## Darknet.induceServerMigration() method

Increases the chance that the target server will move to other parts of the darknet, by overloading the connections between it and the current server. The target must be a connected, non-stationary, darknet server - scripts cannot target the server they are running on.

Effect scales with threads and charisma level.

**Signature:**

```typescript
induceServerMigration(host: string): Promise<DarknetResult>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the connected server to migrate.


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[DarknetResult](./bitburner.darknetresult.md)<!-- -->&gt;

A promise that resolves to a [DarknetResult](./bitburner.darknetresult.md) object.

## Remarks

RAM cost: 4 GB

